<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::afml::test::VisualActivityTrackerTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html">afml</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html">VisualActivityTrackerTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::afml::test::VisualActivityTrackerTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html" title="Test harness for VisualActivityTrackerTest class. ">VisualActivityTrackerTest</a></code> class.  
 <a href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::afml::test::VisualActivityTrackerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test_inherit__map" id="alexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::afml::test::VisualActivityTrackerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test_coll__map" id="alexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6b17333054176ea65d74ce27c0c54305"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html#a6b17333054176ea65d74ce27c0c54305">VisualActivityTrackerTest</a> ()</td></tr>
<tr class="memdesc:a6b17333054176ea65d74ce27c0c54305"><td class="mdescLeft">&#160;</td><td class="mdescRight">A constructor which initializes the promises and futures needed for the test class.  <a href="#a6b17333054176ea65d74ce27c0c54305">More...</a><br /></td></tr>
<tr class="separator:a6b17333054176ea65d74ce27c0c54305"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac751af2bdf6acc988a8f855ddf11f753"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html#ac751af2bdf6acc988a8f855ddf11f753">SetUp</a> () override</td></tr>
<tr class="memdesc:ac751af2bdf6acc988a8f855ddf11f753"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set up the test harness for running a test.  <a href="#ac751af2bdf6acc988a8f855ddf11f753">More...</a><br /></td></tr>
<tr class="separator:ac751af2bdf6acc988a8f855ddf11f753"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7697c7fbcef936cbdd08fa953f82d74"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html#ae7697c7fbcef936cbdd08fa953f82d74">TearDown</a> () override</td></tr>
<tr class="memdesc:ae7697c7fbcef936cbdd08fa953f82d74"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clean up the test harness after running a test.  <a href="#ae7697c7fbcef936cbdd08fa953f82d74">More...</a><br /></td></tr>
<tr class="separator:ae7697c7fbcef936cbdd08fa953f82d74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a964086d62c8364db0b0de82e306a0acd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html#a964086d62c8364db0b0de82e306a0acd">verifyState</a> (const std::string &amp;providedState, const std::vector&lt; <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html">Channel::State</a> &gt; &amp;channels)</td></tr>
<tr class="separator:a964086d62c8364db0b0de82e306a0acd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10cef8ada8958b1b4fe377f2b587afbe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html#a10cef8ada8958b1b4fe377f2b587afbe">provideUpdate</a> (const std::vector&lt; <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html">Channel::State</a> &gt; &amp;channels)</td></tr>
<tr class="separator:a10cef8ada8958b1b4fe377f2b587afbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a896c60d9f1b1a2911c6c9ada154fc9fb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a10a3cb8dea046c68b6cd5b82c0bedbdb">SetStateResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html#a896c60d9f1b1a2911c6c9ada154fc9fb">wakeOnSetState</a> ()</td></tr>
<tr class="separator:a896c60d9f1b1a2911c6c9ada154fc9fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a225fae452fac93815ab7b86be93daff0"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html#a225fae452fac93815ab7b86be93daff0">m_VisualActivityTracker</a></td></tr>
<tr class="memdesc:a225fae452fac93815ab7b86be93daff0"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a></code> to test  <a href="#a225fae452fac93815ab7b86be93daff0">More...</a><br /></td></tr>
<tr class="separator:a225fae452fac93815ab7b86be93daff0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ada8f388496f2d82e23d4e555d4b8dc"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_context_manager.html">MockContextManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html#a7ada8f388496f2d82e23d4e555d4b8dc">m_mockContextManager</a></td></tr>
<tr class="memdesc:a7ada8f388496f2d82e23d4e555d4b8dc"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>ContextManager</code> to provide state and update state.  <a href="#a7ada8f388496f2d82e23d4e555d4b8dc">More...</a><br /></td></tr>
<tr class="separator:a7ada8f388496f2d82e23d4e555d4b8dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4384f33f9ead9894611469c5d5f55b4c"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html#a4384f33f9ead9894611469c5d5f55b4c">m_visualChannel</a></td></tr>
<tr class="memdesc:a4384f33f9ead9894611469c5d5f55b4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">A visualChannel used for testing.  <a href="#a4384f33f9ead9894611469c5d5f55b4c">More...</a><br /></td></tr>
<tr class="separator:a4384f33f9ead9894611469c5d5f55b4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3f3ab65291b603503fbd69523368271"><td class="memItemLeft" align="right" valign="top">std::promise&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html#ae3f3ab65291b603503fbd69523368271">m_wakeSetStatePromise</a></td></tr>
<tr class="memdesc:ae3f3ab65291b603503fbd69523368271"><td class="mdescLeft">&#160;</td><td class="mdescRight">Promise to be fulfilled when <code>setState</code> is called.  <a href="#ae3f3ab65291b603503fbd69523368271">More...</a><br /></td></tr>
<tr class="separator:ae3f3ab65291b603503fbd69523368271"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a1665f1cecaa5584569ab2040bfc13e"><td class="memItemLeft" align="right" valign="top">std::future&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html#a9a1665f1cecaa5584569ab2040bfc13e">m_wakeSetStateFuture</a></td></tr>
<tr class="memdesc:a9a1665f1cecaa5584569ab2040bfc13e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Future to notify when <code>setState</code> is called.  <a href="#a9a1665f1cecaa5584569ab2040bfc13e">More...</a><br /></td></tr>
<tr class="separator:a9a1665f1cecaa5584569ab2040bfc13e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html" title="Test harness for VisualActivityTrackerTest class. ">VisualActivityTrackerTest</a></code> class. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a6b17333054176ea65d74ce27c0c54305"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b17333054176ea65d74ce27c0c54305">&#9670;&nbsp;</a></span>VisualActivityTrackerTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::afml::test::VisualActivityTrackerTest::VisualActivityTrackerTest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A constructor which initializes the promises and futures needed for the test class. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a10cef8ada8958b1b4fe377f2b587afbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10cef8ada8958b1b4fe377f2b587afbe">&#9670;&nbsp;</a></span>provideUpdate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::afml::test::VisualActivityTrackerTest::provideUpdate </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html">Channel::State</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>channels</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">A helper function to verify the context provided by the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a> matches the set the channels notified via notifyOfActivityUpdates().</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">channels</td><td>The set of channels that's passed into the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ac751af2bdf6acc988a8f855ddf11f753"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac751af2bdf6acc988a8f855ddf11f753">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::afml::test::VisualActivityTrackerTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set up the test harness for running a test. </p>

</div>
</div>
<a id="ae7697c7fbcef936cbdd08fa953f82d74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7697c7fbcef936cbdd08fa953f82d74">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::afml::test::VisualActivityTrackerTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Clean up the test harness after running a test. </p>

</div>
</div>
<a id="a964086d62c8364db0b0de82e306a0acd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a964086d62c8364db0b0de82e306a0acd">&#9670;&nbsp;</a></span>verifyState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::afml::test::VisualActivityTrackerTest::verifyState </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>providedState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::vector&lt; <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html">Channel::State</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>channels</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Verify that the provided state matches the expected state</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">jsonState</td><td>The state to verify </td></tr>
    <tr><td class="paramname">channels</td><td>The set of channels that's passed into the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a896c60d9f1b1a2911c6c9ada154fc9fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a896c60d9f1b1a2911c6c9ada154fc9fb">&#9670;&nbsp;</a></span>wakeOnSetState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a10a3cb8dea046c68b6cd5b82c0bedbdb">SetStateResult</a> alexaClientSDK::afml::test::VisualActivityTrackerTest::wakeOnSetState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">This is invoked in response to a <code>setState</code> call.</p>
<dl class="section return"><dt>Returns</dt><dd><code>SUCCESS</code>. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a7ada8f388496f2d82e23d4e555d4b8dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ada8f388496f2d82e23d4e555d4b8dc">&#9670;&nbsp;</a></span>m_mockContextManager</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_context_manager.html">MockContextManager</a>&gt; alexaClientSDK::afml::test::VisualActivityTrackerTest::m_mockContextManager</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><code>ContextManager</code> to provide state and update state. </p>

</div>
</div>
<a id="a225fae452fac93815ab7b86be93daff0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a225fae452fac93815ab7b86be93daff0">&#9670;&nbsp;</a></span>m_VisualActivityTracker</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a>&gt; alexaClientSDK::afml::test::VisualActivityTrackerTest::m_VisualActivityTracker</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><code><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html">VisualActivityTracker</a></code> to test </p>

</div>
</div>
<a id="a4384f33f9ead9894611469c5d5f55b4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4384f33f9ead9894611469c5d5f55b4c">&#9670;&nbsp;</a></span>m_visualChannel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>&gt; alexaClientSDK::afml::test::VisualActivityTrackerTest::m_visualChannel</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A visualChannel used for testing. </p>

</div>
</div>
<a id="a9a1665f1cecaa5584569ab2040bfc13e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a1665f1cecaa5584569ab2040bfc13e">&#9670;&nbsp;</a></span>m_wakeSetStateFuture</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::future&lt;void&gt; alexaClientSDK::afml::test::VisualActivityTrackerTest::m_wakeSetStateFuture</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Future to notify when <code>setState</code> is called. </p>

</div>
</div>
<a id="ae3f3ab65291b603503fbd69523368271"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3f3ab65291b603503fbd69523368271">&#9670;&nbsp;</a></span>m_wakeSetStatePromise</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::promise&lt;void&gt; alexaClientSDK::afml::test::VisualActivityTrackerTest::m_wakeSetStatePromise</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Promise to be fulfilled when <code>setState</code> is called. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AFML/test/<a class="el" href="_visual_activity_tracker_test_8cpp.html">VisualActivityTrackerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
